Bug 1138221 - Fail to managedsave while configure <cpu mode='host-model'> in the guest's xml
Summary: Fail to managedsave while configure <cpu mode='host-model'> in the guest's xml
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt
Version: 7.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Ján Tomko
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks: 1138222
TreeView+ depends on / blocked
 
Reported: 2014-09-04 10:03 UTC by vivian zhang
Modified: 2019-07-11 08:10 UTC (History)
7 users (show)

(edit)
Clone Of:
: 1138222 (view as bug list)
(edit)
Last Closed: 2015-03-05 07:43:47 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0323 normal SHIPPED_LIVE Low: libvirt security, bug fix, and enhancement update 2015-03-05 12:10:54 UTC
Red Hat Bugzilla 1147584 None CLOSED save/managedsave doesn't work with host-passthrough 2019-05-31 12:36 UTC

Internal Trackers: 1147584

Description vivian zhang 2014-09-04 10:03:54 UTC
Description of problem:
Fail to managedsave while configure <cpu mode='host-model'> in the guest's xml

Version-Release number of selected component (if applicable):
libvirt-1.2.8-1.el7.x86_64
qemu-kvm-rhev-2.1.0-3.el7.x86_64
kernel-3.10.0-150.el7.x86_64


How reproducible:
100%

Steps to Reproduce:

1. prepare a guest with <cpu mode='host-model'>
   #virsh dumpxml rhel7
    --
  <vcpu placement='static'>16</vcpu>
    --
  <cpu mode='host-model'>
    <model fallback='forbid'/>
    <topology sockets='2' cores='4' threads='2'/>
  </cpu>

2. Start the guest
#virsh start rhel7

3. managedsave the guest, will report the following error
   #virsh managedsave rhel7
error: Failed to save domain rhel7 state
error: internal error: unable to execute QEMU command 'migrate': State blocked by non-migratable device 'cpu'

4. it works well on libvirt-1.2.6-1.el7

5.Also hit this issue in rhel6.6

Actual results:
Fail to managedsave while configure <cpu mode='host-model'> in the guest's xml

Expected results:
should succeed to do managedsave

Comment 3 Ján Tomko 2014-09-05 09:05:22 UTC
Upstream patch proposed:
https://www.redhat.com/archives/libvir-list/2014-September/msg00297.html

Comment 4 Ján Tomko 2014-09-05 12:22:41 UTC
Now pushed upstream:
commit de0aeafe9ce3eb414c8b5d3aa8995d776a2952de
Author:     Ján Tomko <jtomko@redhat.com>
CommitDate: 2014-09-05 12:45:19 +0200

    Don't include non-migratable features in host-model
    
    Commit fba6bc4 introduced support for the 'invtsc' feature,
    which blocks migration. We should not include it in the
    host-model CPU by default, because it's intended to be used
    with migration.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1138221

git describe: v1.2.8-32-gde0aeaf

Comment 7 zhe peng 2014-09-12 06:23:47 UTC
verify with build : libvirt-1.2.8-2.el7.x86_64

step:
1: prepare a guest with xml:
....
 <cpu mode='host-model'>
    <model fallback='forbid'/>
    <topology sockets='2' cores='4' threads='2'/>
  </cpu>
....
2: start the guest
3: do managedsave
# virsh managedsave rhel6

Domain rhel6 state saved by libvirt

move to verified.

Comment 9 errata-xmlrpc 2015-03-05 07:43:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0323.html


Note You need to log in before you can comment on or make changes to this bug.